Create a customer on an existing policy
curl --request POST \
--url https://api.korint.io/customers/policies/{policyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant: <tenant>' \
--data '
{
"role": "<string>",
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.korint.io/customers/policies/{policyId}"
payload = {
"role": "<string>",
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
]
}
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenant: '<tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({role: '<string>', customFields: [{key: '<string>', value: '<string>'}]})
};
fetch('https://api.korint.io/customers/policies/{policyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customerId": "<string>"
}{
"code": "POLICY_NOT_FOUND",
"message": "Policy {policyId} ({branchId}) not found",
"details": {}
}customer
Create a customer on an existing policy
POST
/
customers
/
policies
/
{policyId}
Create a customer on an existing policy
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
The policy id to attach the new customer to
Pattern:
^policy(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Query Parameters
Optional: the whenAt datetime
Optional: the branchId
Pattern:
^branch(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Body
application/json
Response
The created customer id
Pattern:
^customer(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Was this page helpful?
⌘I

